Bug 1108612 (CVE-2014-3980) - CVE-2014-3980 libfep: local privilege escalation via UNIX domain sockets in the abstract namespace
Summary: CVE-2014-3980 libfep: local privilege escalation via UNIX domain sockets in t...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-3980
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1108616
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 10:28 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:18 UTC (History)
2 users (show)

Fixed In Version: libfep 0.1.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:29 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-06-12 10:28:13 UTC
It was discovered that libfep uses UNIX domain sockets in the abstract 
namespace in an insecure way.  As a result, unprivileged local users 
were able to inject commands into running fep sessions of other users.

The upstream fix simply removes abstract namespace support, using a 
restricted directory to host the UNIX domain socket instead:

https://github.com/ueno/libfep/commit/293d9d3f

Abstract namespace support was introduced in this commit:

https://github.com/ueno/libfep/commit/5a170323

This means that versions from 0.0.5 to 0.0.9 (inclusive) are vulnerable, 
and 0.1.0 has the fix.

External references:

 http://www.openwall.com/lists/oss-security/2014/06/05/16
 http://www.securityfocus.com/bid/67903

Comment 1 Vasyl Kaigorodov 2014-06-12 10:29:35 UTC
Created libfep tracking bugs for this issue:

Affects: fedora-all [bug 1108616]

Comment 2 Fedora Update System 2014-06-17 23:27:06 UTC
libfep-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-06-17 23:27:20 UTC
libfep-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:33:29 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.